@import "../../assets/utils";

.tab {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin: 0 4px;
  cursor: pointer;

  transition: background .15s, color .15s;
}

.isDisabled {
  opacity: .4;
  cursor: not-allowed;
}

.defaultType {
  padding: 14px 25px 10px;
  font-size: 16px;
  line-height: 16px;
  border-radius: 4px 4px 0 0;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.08);
  background: #ffffff;
  color: #02658F;

  &:after {
    content: '';
    position: absolute;
    top: 100%;
    margin-top: -1px;
    height: 7px;
    background: inherit;
    display: block;
    left: -1px;
    right: -1px;
    border-left: 1px solid rgba(0, 0, 0, 0.08);
    border-right: 1px solid rgba(0, 0, 0, 0.08);

    transition: border .15s;
  }
}

.stepType {
  color: $color-primary;
  font-size: 20px;
  line-height: 20px;
  padding-right: 40px;
}

.icon {
  margin-right: 10px;
}

.number {
  font-size: 32px;
  line-height: 32px;
}

.isActive {
  &.defaultType {
    background: #77A4C7;
    color: #ffffff;
    box-shadow: 0 0 0 1px #77A4C7;

    &:after {
      border-color: #77A4C7;
    }
  }

  &.stepType {
    color: $color-success-darker;
  }
}